<div class="form-check"></div>
<div class="form-group" *ngIf="search">
  <input
    type="number"
    class="form-control"
    id="searchNumber"
    placeholder="Credit Card Number"
  />
</div>
<table class="table table-dark table-hover   table-stripped">
  <thead>
    <tr>
      <th>Number</th>
      <th>Expiry</th>
      <th>Banned</th>
      <th>Actions</th>
    </tr>
  </thead>
  <tbody>
    <tr *ngFor="let card of cards">
      <td>{{ card.cardNumber }}</td>
      <td>{{ card.expiryDate | date }}</td>
      <td>
        <p *ngIf="!card.banned" class="text-success">
          <i class="fa fa-check" aria-hidden="true"></i> Not Banned
        </p>
        <p *ngIf="card.banned" class="text-danger">
          <i class="fa fa-times" aria-hidden="true"></i> Banned
        </p>
      </td>
      <td>
        <button
          *ngIf="!card.banned"
          class="btn btn-outline-danger"
          (click)="banCard(card)"
        >
          Ban Card
        </button>

        <button
          *ngIf="card.banned"
          class="btn btn-outline-success"
          (click)="unBanCard(card)"
        >
          Unban Card
        </button>
      </td>
    </tr>
  </tbody>
</table>

<div>
  <ul class="pagination">
    <li class="page-item" *ngIf="currentPage > 1">
      <a class="page-link" (click)="onPrevious()">&laquo;</a>
    </li>
    <li class="page-item">
      <a class="page-link" (click)="onPrevious()" *ngIf="currentPage - 1 > 0">{{
        currentPage - 1
      }}</a>
    </li>
    <li class="page-item active">
      <a class="page-link">{{ currentPage }}</a>
    </li>
    <li class="page-item">
      <a
        class="page-link"
        (click)="onNext()"
        *ngIf="currentPage + 1 <= pages"
        >{{ currentPage + 1 }}</a
      >
    </li>
    <li class="page-item" *ngIf="currentPage < pages">
      <a class="page-link" (click)="onNext()">&raquo;</a>
    </li>
  </ul>
</div>
